import request from '@/utils/request';
import { AxiosPromise } from 'axios';

// 团队成员查询接口
export function listTeamMember(objectNo: string | number): AxiosPromise<any> {
    return request({
        url: '/customer/teamMember/list/' + objectNo,
        method: 'get'
    });
}

// 新增团队成员
export function addTeamMember(data: any): AxiosPromise<any> {
    return request({
        url: '/customer/teamMember',
        method: 'post',
        data: data
    });
}

// 修改团队成员
export function updateTeamMember(data: any): AxiosPromise<any> {
    return request({
        url: '/customer/teamMember',
        method: 'put',
        data: data
    });
}

// 删除团队成员
export function delTeamMember(ids: string | number): AxiosPromise<any> {
    return request({
        url: '/customer/teamMember/' + ids,
        method: 'delete'
    });
}
